Skip to content

Perform various operations for Symitar parameters.

Operations

getLnSegmentDefault

POST

Retrieve LnSegmentDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LnSegmentDefaultSegmentTypeintegerrequiredLnSegmentDefaultSegmentType data
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getLnSegmentDefault
POST /nexum/627/2022.01/parameter/getLnSegmentDefault HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "LnSegmentDefaultSegmentType": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLnSegmentDefaultSelectFields

POST

Retrieve LnSegmentDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LnSegmentDefaultSegmentTypeintegeroptionalLnSegmentDefaultSegmentType data
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getLnSegmentDefaultSelectFields
POST /nexum/627/2022.01/parameter/getLnSegmentDefaultSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "LnSegmentDefaultSegmentType": 0,
  "SelectableFields": {
    "LnSegmentDefaultFields": {
      "SegmentType": true,
      "Description": true,
      "InterestRate": true
    }
  }
}

getLnSegmentDefaultPagedList

POST

Retrieve LnSegmentDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getLnSegmentDefaultPagedList
POST /nexum/627/2022.01/parameter/getLnSegmentDefaultPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLnSegmentDefaultListSelectFields

POST

Retrieve LnSegmentDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getLnSegmentDefaultListSelectFields
POST /nexum/627/2022.01/parameter/getLnSegmentDefaultListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "SelectableFields": {
    "IncludeAllLnSegmentDefaultFields": true
  }
}

searchLnSegmentDefaultSelectFields

POST

Search LnSegmentDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/searchLnSegmentDefaultSelectFields
POST /nexum/627/2022.01/parameter/searchLnSegmentDefaultSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllLnSegmentDefaultFields": true
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLnSegmentDefaultPagedListSelectFields

POST

Retrieve LnSegmentDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getLnSegmentDefaultPagedListSelectFields
POST /nexum/627/2022.01/parameter/getLnSegmentDefaultPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "LnSegmentDefaultFields": {
      "SegmentType": true,
      "Description": true,
      "InterestRate": true
    }
  }
}

searchLnSegmentDefaultPagedSelectFields

POST

Search LnSegmentDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/searchLnSegmentDefaultPagedSelectFields
POST /nexum/627/2022.01/parameter/searchLnSegmentDefaultPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "string",
  "SelectableFields": {
    "LnSegmentDefaultFields": {
      "SegmentType": true,
      "Description": true,
      "InterestRate": true
    }
  }
}

updateLnSegmentDefaultByID

POST

Update LnSegmentDefault parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LnSegmentDefaultSegmentTypeintegeroptionalLnSegmentDefaultSegmentType data
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/updateLnSegmentDefaultByID
POST /nexum/627/2022.01/parameter/updateLnSegmentDefaultByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "LnSegmentDefaultSegmentType": 0,
  "LnSegmentDefaultUpdatableFields": {
    "Type": 0,
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}